#include "TestWindow.h"

#define IMAGECLASS TestImage
#define IMAGEFILE <Testing/Testing.iml>
#include <Draw/iml_source.h>

TestWindow::TestWindow()
{
	//CtrlLayout(*this);
	Sizeable(true);
	Title("Testing");
	
	m_parentSection.Color(Color(0, 0, 0));
	m_parentSection.Add(m_testLayout);
	
	// Create menu bar
	AddFrame(m_menuBar);
	m_menuBar.Set(THISBACK(OnMenuBar));
	// Create tool bar
	AddFrame(m_toolBar);
	m_toolBar.Set(THISBACK(OnToolBar));
	
	CtrlLayout(*this);
	CtrlLayout(m_testLayout);
	
	//InitResizer(); // Needed for auto resizing
}

void TestWindow::OnMenuBar(Bar& _bar)
{
	_bar.Add(t_("File"), THISBACK(OnMenuBarFile));
    _bar.Add(t_("Help"), THISBACK(OnMenuBarHelp));
}

void TestWindow::OnMenuBarFile(Bar& _bar)
{
	_bar.Add(t_("Settings"), THISBACK(OnMenuBarFileSettings));
	_bar.Separator();
	_bar.Add(t_("Exit"), THISBACK(OnMenuBarFileExit));
}

void TestWindow::OnMenuBarHelp(Bar& _bar)
{
	_bar.Add(t_("About"), THISBACK(OnMenuBarHelpAbout));
}

void TestWindow::OnMenuBarFileSettings()
{
}

void TestWindow::OnMenuBarFileExit()
{
}

void TestWindow::OnMenuBarHelpAbout()
{
}

void TestWindow::OnToolBar(Bar& _bar)
{
	_bar.Add(Rescale(TestImage::Settings(), 16, 16), THISBACK(OnMenuBarFileSettings));
}